<?php
// Incluir la configuración de la base de datos
include 'db_config.php';

// Comprobar si el formulario ha sido enviado
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Recibir los datos del formulario de inicio de sesión
    $nombre = isset($_POST['nombre']) ? $_POST['nombre'] : '';
    $clave = isset($_POST['clave']) ? $_POST['clave'] : '';

    // Verificar si los campos están vacíos
    if (empty($nombre) || empty($clave)) {
        echo "<script>alert('Por favor, introduzca su nombre de usuario y contraseña.'); window.location.href = 'index.php';</script>";
        exit();
    }

    // Preparar la consulta SQL para verificar si el usuario existe
    $sql = "SELECT * FROM usuarios WHERE nombre = ?";
    $stmt = $conn->prepare($sql);
    $stmt->bind_param("s", $nombre);
    $stmt->execute();
    $result = $stmt->get_result();

    // Verificar si el usuario existe
    if ($result->num_rows > 0) {
        $usuario = $result->fetch_assoc();

        // Verificar la contraseña
        if ($clave === $usuario['clave']) {
            // Si las credenciales son correctas, redirigir según el tipo de usuario
            if ($usuario['tipo_usuario'] == 1) {
                // Administrador
                echo "<script>alert('Inicio de sesión exitoso.'); window.location.href = 'encabezado2.php';</script>";
                exit();
            } if ($usuario['tipo_usuario'] == 2) {
                // Usuario Regular
                echo "<script>alert('Inicio de sesión exitoso.'); window.location.href = 'encabezado.php';</script>";
                exit();
            }
         if ($usuario['tipo_usuario'] == 3) {
            // usuario temporarl
            echo "<script>alert('Inicio de sesión exitoso.'); window.location.href = 'encabezado3.php';</script>";
                exit();
            }
           } else {     
            echo "<script>alert('Contraseña incorrecta.'); window.location.href = 'index.php';</script>";
            exit();
        }
    } else {
        echo "<script>alert('Usuario no encontrado.'); window.location.href = 'index.php';</script>";
        exit();
    }

    // Cerrar la consulta y la conexión
    $stmt->close();
    $conn->close();
 }else {
    // Si se accede sin enviar el formulario, redirigir
    echo "<script>alert('Debe iniciar sesión correctamente.'); window.location.href = 'index.php';</script>";
    exit();
}


?>
